### Method

# Clutter Actor get_effects

#### Declaration [src]

    GList*
    clutter_actor_get_effects (
      ClutterActor* self
    )

#### Description [src]

Retrieves the `ClutterEffect`s applied on `self`, if any.

#### Return value

Type: A list of `ClutterEffect*`

A list of `ClutterEffect`s, or `NULL`. The elements of the returned list are owned by Clutter and they should not be freed. You should free the returned list using `g_list_free()` when done.

The caller of the method takes ownership of the returned data container, but not the data inside it.